package com.css.simulation.resource.scheduler.feign.fallback;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.KafkaParameter;
import com.css.simulation.resource.scheduler.feign.DemoService;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;

@Service
public class DemoServiceFallback implements DemoService {

    @Override
    public ResponseBodyVO<String> upload(@RequestPart("file") MultipartFile file,
                                         @RequestParam("bucketName") String bucketName,
                                         @RequestParam("objectName") String objectName) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }

    @Override
    public ResponseBodyVO<String> send(KafkaParameter kafkaParameter) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }
}
